#!/usr/bin/make -f

export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/autotools-vars.mk
include /usr/share/cdbs/1/rules/autoreconf.mk

multiarch = $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

DEB_CONFIGURE_EXTRA_FLAGS := --disable-Werror GUILE=guile-2.2 \
  --libdir="\$${prefix}/lib/$(multiarch)"
DEB_DH_INSTALL_ARGS := --sourcedir=$(DEB_DESTDIR)

DEB_MAKE_CHECK_TARGET = check
DEB_MAKE_INVOKE = $(DEB_MAKE_ENVVARS) xvfb-run -a $(MAKE)

# Make sure guile-gnome2-glib is built first
$(addprefix binary/guile-gnome2-,gtk gconf):: binary/guile-gnome2-glib

install/guile-gnome2-glib::
	stx2any -T man debian/guile-gnome-2.stx > debian/guile-gnome-2.man

# Empty dependency_libs in .la files, courtesy of gnome-pkg-tools
$(patsubst %,binary-install/%,$(DEB_PACKAGES)) :: binary-install/%:
	for file in $(wildcard debian/$(cdbs_curpkg)/usr/lib/*/*/*.la); do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
	done

DEB_DH_MAKESHLIBS_ARGS := -V -X"libgw-guile-"
DEB_COMPRESS_EXCLUDE_ALL := .scm

DEB_SHLIBDEPS_LIBRARY_guile-gnome2-glib := guile-gnome2-glib
DEB_SHLIBDEPS_INCLUDE_guile-gnome2-glib := debian/guile-gnome2-glib/usr/lib/

DEB_SHLIBDEPS_LIBRARY_guile-gnome2-gtk := guile-gnome2-glib
DEB_SHLIBDEPS_INCLUDE_guile-gnome2-gtk := debian/guile-gnome2-glib/usr/lib/

clean::
	rm -f glib/gnome/gobject/guile-gnome-gobject
	rm -f debian/guile-gnome-2.man
	rm -f config.log
